package dev.flyfish.framework.domain.po;

import dev.flyfish.framework.domain.base.AuditDomain;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.relational.core.mapping.Table;

import java.util.Map;

/**
 * excel映射方案
 *
 * @author wangyu
 */
@Getter
@Setter
@Document(collection = "excel-mappings")
@Table("t_excel_mapping")
public class ExcelMapping extends AuditDomain {

    // 映射关系
    private Map<String, String> content;
}
