package dev.flyfish.framework.dict.domain;

import dev.flyfish.framework.domain.base.AuditDomain;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.relational.core.mapping.Table;

import java.util.List;

/**
 * 自动完成数据源
 *
 * @author wangyu
 */
@Getter
@Setter
@Document(collection = "auto-completes")
@Table("t_auto_complete")
public class AutoComplete extends AuditDomain {

    // 候选值列表
    private List<String> values;

    // 是否多级联动
    private Boolean cascade;

    // 描述
    private String description;

    // 分隔符
    private String delimiter;
}
