package dev.flyfish.framework.boot;


import dev.flyfish.framework.compiler.core.ClassLoaders;
import org.springframework.boot.SpringApplication;
import org.springframework.context.ConfigurableApplicationContext;

/**
 * 启动类包装
 *
 * @author wangyu
 * 实现了自定义的类加载器
 */
public class FlyfishAppRunner {

    public static ConfigurableApplicationContext run(Class<?> primarySource, String... args) {
        Thread.currentThread().setContextClassLoader(ClassLoaders.memory());
        return SpringApplication.run(new Class[]{primarySource}, args);
    }

}
