package dev.flyfish.framework.backup.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * 备份配置
 *
 * @author wangyu
 */
@ConfigurationProperties(prefix = "flyfish.version")
@Data
public class VersionProperties {

    /**
     * 服务器地址
     */
    private String server = "http://version.flyfish.group";

    /**
     * 版本配置地址
     */
    private String versionUri = "/doc-system/version.json";

    /**
     * 当前系统版本
     */
    private String version = "v1.0";
}
