package dev.flyfish.framework.backup.service;

import dev.flyfish.framework.backup.domain.Backup;
import dev.flyfish.framework.service.impl.BaseReactiveServiceImpl;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

/**
 * 备份服务
 *
 * @author wangyu
 */
@Service
public class BackupService extends BaseReactiveServiceImpl<Backup> {

    /**
     * 恢复指定备份
     *
     * @return 结果
     */
    public Mono<Void> restore(String id) {
        return Mono.empty();
    }
}
