package dev.flyfish.framework.r2dbc.domain.reference;

import dev.flyfish.framework.domain.base.AuditDomain;
import dev.flyfish.framework.r2dbc.domain.TestDO;
import lombok.Data;
import org.springframework.data.annotation.Reference;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

@Table("test_child")
@Data
public class TestChild extends AuditDomain {

    @Column("parent_id")
    @Reference(TestDO.class)
    private String parentId;
}
