package dev.flyfish.framework.transform;

import org.springframework.core.io.buffer.DataBuffer;
import reactor.core.publisher.Mono;

/**
 * 用于转换DataBuffer的工具
 *
 * @author wangyu
 */
public interface DataBufferTransformer<T> {

    /**
     * 写入二进制数据，返回数据
     *
     * @param source 数据源
     * @return 结果
     */
    Mono<DataBuffer> transform(T source);
}
